NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::LayoutManagementBuilder Class Reference

Layout Management Builder of Engineering Die Wizard
To create a new instance of this class, use NXOpen::Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::LayoutManagementBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  StationItems { StationItemsOne, StationItemsTwo, StationItemsThree }
 Specifies the station items. More...
 

Public Member Functions

NXOpen::SelectBodyListBodiesReposition ()
 Returns the select bodies to reposition
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ModlMotionRepositionMotion ()
 Returns the reposition motion
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectListSelectEntityAdd ()
 Returns the select entity to add into the station
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectListSelectEntityRemove ()
 Returns the select entity to remove from the station
Created in NX8.0.0. More...
 
void SetSpecifyDieTip (NXOpen::Direction *specifyDieTip)
 Sets the specify die tip to define the forming direction
Created in NX8.0.0. More...
 
void SetStationDistance (double stationDistance)
 Sets the station distance of engineering die
Created in NX8.0.0. More...
 
void SetStationEnum (NXOpen::Tooling::LayoutManagementBuilder::StationItems stationEnum)
 Sets the station number definition of engineering die
Created in NX8.0.0. More...
 
void SetStationNameStr (const NXString &stationNameStr)
 Sets the station name definition of engineering die
Created in NX8.0.0. More...
 
void SetStationNameStr (const char *stationNameStr)
 Sets the station name definition of engineering die
Created in NX8.0.0. More...
 
void SetStationNumber (int stationNumber)
 Sets the total station number of engineering die layout
Created in NX8.0.0. More...
 
NXOpen::DirectionSpecifyDieTip ()
 Returns the specify die tip to define the forming direction
Created in NX8.0.0. More...
 
double StationDistance ()
 Returns the station distance of engineering die
Created in NX8.0.0. More...
 
NXOpen::Tooling::LayoutManagementBuilder::StationItems StationEnum ()
 Returns the station number definition of engineering die
Created in NX8.0.0. More...
 
NXString StationNameStr ()
 Returns the station name definition of engineering die
Created in NX8.0.0. More...
 
int StationNumber ()
 Returns the total station number of engineering die layout
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Layout Management Builder of Engineering Die Wizard
To create a new instance of this class, use NXOpen::Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder
Default values.

Property Value

RepositionMotion.DeltaEnum

ReferenceWcsWorkPart

RepositionMotion.DeltaXc.Value

0.0

RepositionMotion.DeltaYc.Value

0.0

RepositionMotion.DeltaZc.Value

0.0

StationDistance

0

StationEnum

One

StationNameStr

station

StationNumber

3


Created in NX8.0.0.

Member Enumeration Documentation

Specifies the station items.

Enumerator
StationItemsOne 

Define station number – 01.

StationItemsTwo 

Define station number – 02.

StationItemsThree 

Define station number – 03.

Member Function Documentation

NXOpen::SelectBodyList* NXOpen::Tooling::LayoutManagementBuilder::BodiesReposition ( )

Returns the select bodies to reposition
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::ModlMotion* NXOpen::Tooling::LayoutManagementBuilder::RepositionMotion ( )

Returns the reposition motion
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::LayoutManagementBuilder::SelectEntityAdd ( )

Returns the select entity to add into the station
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Tooling::LayoutManagementBuilder::SelectEntityRemove ( )

Returns the select entity to remove from the station
Created in NX8.0.0.



License requirements : None

void NXOpen::Tooling::LayoutManagementBuilder::SetSpecifyDieTip ( NXOpen::Direction specifyDieTip)

Sets the specify die tip to define the forming direction
Created in NX8.0.0.



License requirements : None

Parameters
specifyDieTipspecifydietip
void NXOpen::Tooling::LayoutManagementBuilder::SetStationDistance ( double  stationDistance)

Sets the station distance of engineering die
Created in NX8.0.0.



License requirements : None

Parameters
stationDistancestationdistance
void NXOpen::Tooling::LayoutManagementBuilder::SetStationEnum ( NXOpen::Tooling::LayoutManagementBuilder::StationItems  stationEnum)

Sets the station number definition of engineering die
Created in NX8.0.0.



License requirements : None

Parameters
stationEnumstationenum
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNameStr ( const NXString stationNameStr)

Sets the station name definition of engineering die
Created in NX8.0.0.



License requirements : None

Parameters
stationNameStrstationnamestr
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNameStr ( const char *  stationNameStr)

Sets the station name definition of engineering die
Created in NX8.0.0.



License requirements : None

Parameters
stationNameStrstationnamestr
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNumber ( int  stationNumber)

Sets the total station number of engineering die layout
Created in NX8.0.0.



License requirements : None

Parameters
stationNumberstationnumber
NXOpen::Direction* NXOpen::Tooling::LayoutManagementBuilder::SpecifyDieTip ( )

Returns the specify die tip to define the forming direction
Created in NX8.0.0.



License requirements : None

double NXOpen::Tooling::LayoutManagementBuilder::StationDistance ( )

Returns the station distance of engineering die
Created in NX8.0.0.



License requirements : None

NXOpen::Tooling::LayoutManagementBuilder::StationItems NXOpen::Tooling::LayoutManagementBuilder::StationEnum ( )

Returns the station number definition of engineering die
Created in NX8.0.0.



License requirements : None

NXString NXOpen::Tooling::LayoutManagementBuilder::StationNameStr ( )

Returns the station name definition of engineering die
Created in NX8.0.0.



License requirements : None

int NXOpen::Tooling::LayoutManagementBuilder::StationNumber ( )

Returns the total station number of engineering die layout
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.